Uploaded image for project: 'Couchbase Lite'
  1. Couchbase Lite
  2. CBL-1746

Remove extraneous dependency from CBL-Android POM

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.8.0
    • Fix Version/s: 2.8.5
    • Component/s: Java-Android
    • Security Level: Public
    • Labels:
    • Story Points:
      1

      Description

      The build process for the 2.8.x versions of Android is including an unnecessary dependency on kotlin-stdlib:1.4.0.

      Nothing in the CBL library code actually depends on the kotlin stdlib, and this explicit dependency may conflict with client code Kotlin version.

      This problem has been addressed in the Lithium version. The build-script code to manage dependencies explicitly needs to be backported to the Hydrogen release.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

          Hide
          blake.meike Blake Meike added a comment -

          Fixed in release 2.8.5

          Show
          blake.meike Blake Meike added a comment - Fixed in release 2.8.5

            People

            Assignee:
            blake.meike Blake Meike
            Reporter:
            blake.meike Blake Meike
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes

                  PagerDuty